For more details, please see ourCookie Policy.


Fibre Channel (SAN)

Reply
New Contributor
Posts: 2
Registered: ‎04-12-2019

Brocade 300 invalid rpm

So today I tried to upgrade the "new" brocade 300 i got.

Its running Version 6.2.0d and I downloaded every step to get it to 7.4.2d

First step should be 6.3.0d but it keeps saying

 

Firmware download failed - Invalid RPM package. Please reload firmware packages on the source device. (0x2e)

2018/01/25-02:25:34, [SULB-1011], 75, CHASSIS, INFO, Brocade300, Firmwaredownload command failed. Invalid RPM package. Please reload firmware packages on the source device.

Aborting firmwaredownload now.

 

I double checked the firmware but everything seems ok. The ftp server is reachable. I tested the ftp and everything else.

I even checked other OEM firmware. IBM Assist and Dell Assist (it should be Dell but firmware seems the same.)

 

to verify the firmware ive updated my other brocade 300 with firmware from the source and it works easily.

Highlighted
Super Contributor
Posts: 320
Registered: ‎04-04-2018

Re: Brocade 300 invalid rpm

Hello,

 

try this:

 

  1. Login as root
  2. navigate to cd /var/log  
  3. cat fwdl.log

Try to check if there is something interesting.

Please mark this response as "Accept as Solution" if it answers your question.

Marian Bezeg
External Moderator
Posts: 5,647
Registered: ‎02-23-2004

Re: Brocade 300 invalid rpm

@Vinc2 

 

--->>>First step should be 6.3.0d......

 

if you are current on v6.2.x, the correct upgrade path is v6.3.2d

TechHelp24
New Contributor
Posts: 2
Registered: ‎04-12-2019

Re: Brocade 300 invalid rpm

There is no fwdl.log in /var/log.

 

v6.3.2e, v6.3.2d and v6.3.2a have not worked. Still invalid rpm.

Join the Broadcom Support Community

Get quick and easy access to valuable resources across the Broadcom Community Network.